# Interface AddressWrapRequest

A request to resolve a contract name to an address.

#### Category

Requests

#### Hierarchy

- AddressWrapRequest

- Defined in codec/lib/types.ts:804

#####
Index

### Properties

kind
name

## Properties

### kind

kind: "address"

Indicates that this is an AddressWrapRequest.

- Defined in codec/lib/types.ts:808

### name

name: string

The name that needs to be resolved to an address.

- Defined in codec/lib/types.ts:812

Generated using TypeDoc